#! /usr/bin/env python
# encoding: utf-8

def checkPyImport(self, module, isNeeded=False):
	from Params import fatal
	found=None
	try:
		__import__(module)
	except ImportError:
		found=False
	else:
		found=True
	self.check_message('module', module, found,'')
	if isNeeded and not found:
		fatal('python module "%s" could not be imported' % module)
	return found
	
def setup(env):
	pass # do nothing, no actions nor builders; just provide checks

def detect(conf):
	# attach checks
	conf.hook(checkPyImport)
	return 1
	
