#! /usr/bin/env python
# encoding: utf-8

def setup(env):
	pass # do nothing, no actions nor builders; just provide variables

def getVar(conf, var, default):
	#print "   v----- default only"
	conf.check_message_custom('var', var, 'default %s' % default)
	return default
def detect(conf):
	# set variables according to freedesktop standards
	getVar(conf,'XDG_DATA_HOME','${HOME}/.local/share')
	getVar(conf,'XDG_CONFIG_HOME','${HOME}/.config')
	getVar(conf,'XDG_DATA_DIRS','/usr/local/share/:/usr/share/')
	getVar(conf,'XDG_CONFIG_DIRS','/etc/xdg')
	getVar(conf,'XDG_CACHE_HOME','${HOME}/.cache')
	return 1
	


# $XDG_DATA_HOME is user-specific data files
	# $HOME/.local/share

# $XDG_CONFIG_HOME is user-specific configuration files
	# $HOME/.config

# $XDG_DATA_DIRS is a set of preference ordered base directories relative to which data files should be searched
	# /usr/local/share/:/usr/share/ (in addition to $XDG_DATA_HOME)

# $XDG_CONFIG_DIRS is a set of preference ordered base directories relative to which configuration
	# /etc/xdg (in addition to $XDG_CONFIG_HOME)

# $XDG_CACHE_HOME is base directory relative to which user-specific non-essential (cached) data should be written
	# $HOME/.cache

